// JScript 文件
$(document).ready(function(){
          //获取登录按的事件并激活click事件
		$('#LoginBtn').click(function(){
	         chacklogin();		
		});
	});
	
function chacklogin()
{
  var login_id=$('#login_id').val();
  var login_pwd=$('#login_pwd').val();
  if (login_id=='')
  {
    $('#confirm').html('请输入登录ID');
    $('#login_id').focus();
    return false;
  }
  if(login_pwd =='')
  {
    $('#confirm').html('请输入登录密码');
    $('#login_pwd').focus();
    return false;
  }
 
 $.ajax({
  type: 'POST',//URL方式为POST
  url: 'login.aspx',//这里是指向登录验证的页面
  data:'id='+login_id+'&pwd='+login_pwd,//把要验证的参数传过去
  dataType:'json',//数据类型为JSON格式的验证
  //在发送数据之前要运行的函数
  beforeSend:function(){
  $('#confirm').html('登录中.........');
  },
  success:function(data)
          {
                //这是个重点，根据验证页面（login.aspx）输出的JSON格式数据判断是否登录成功
                //这里我用1表示的
                //sta就是那个输出到客户端的标示
				if(data.sta==1)
				{
				    $('#confirm').html('登录成功！');location.href='loginOK.htm';
				}
				else
				{
				   $('#confirm').html('密码都没输入正确还想进,哼！').addClass('red');
				
				}
		}
  });
}

